# Flight Lines

A {py:class}`~hyplan.flight_line.FlightLine` is the fundamental unit of
data collection — a straight-and-level segment defined by two geographic
endpoints, an altitude, and metadata.

## FlightLine class

```{eval-rst}
.. autoclass:: hyplan.flight_line.FlightLine
   :members:
   :show-inheritance:
```

## Utilities

```{eval-rst}
.. autofunction:: hyplan.flight_line.to_gdf
```
